File: changelog

package info (click to toggle)
dssi 1.1.1~dfsg0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, jessie, jessie-kfreebsd, sid, stretch, wheezy
  • size: 1,956 kB
  • ctags: 665
  • sloc: sh: 10,975; ansic: 3,884; cpp: 1,364; perl: 191; makefile: 162
file content (122 lines) | stat: -rw-r--r-- 4,037 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
dssi (1.1.1~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - Fixed crash in less_trivial_synth.c in init() with GCC 4.6.
    - Fixed linking with GNU gold linker.
  * On dssi-dev's Depends field, set alternative build-dependency on
    libasound2-dev | libdssialsacompat-dev.
  * Drop 0001-binutils_gold.patch, applied upstream.
  * Drop debian/patches, now empty.
  * Update debian/copyright to comply with DEP-5 rev. 202

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 13:07:15 +0100

dssi (1.1.0-6) unstable; urgency=low

  * Install libasound2-dev on linux archs only.

 -- Alessio Treglia <alessio@debian.org>  Tue, 02 Aug 2011 15:07:04 +0200

dssi (1.1.0-5) unstable; urgency=low

  * Add libdssialsacompat-dev on Build-Depends for non-Linux archs.
  * Fix for description-synopsis-starts-with-article and one small
    correction.

 -- Alessio Treglia <alessio@debian.org>  Mon, 01 Aug 2011 21:27:13 +0200

dssi (1.1.0-4) unstable; urgency=low

  * Add libasound2-dev to dssi-dev's Depends field (Closes: #636071);
    thanks to Romain Beauxis for the report.
  * Depends on libjack-dev only, remove alt-dep on libjack-jackd2-dev..
  * Small fix to the description.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 31 Jul 2011 10:58:00 +0200

dssi (1.1.0-3) unstable; urgency=low

  * Enable DH's autoreconf add-on.
  * Add pkg-config to dssi-dev's Depends field.
  * Add patch to fix FTBFS with GNU's gold linker (Closes: #618088).
  * Update debian/gbp.conf

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Mar 2011 09:43:41 +0100

dssi (1.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Move dependency on libjack-dev to Suggests (Closes: #609708).

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 11:22:02 +0100

dssi (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * Install new dssi_list_plugins and dssi_analayse_plugin command line
    tools.
  * Install karplong plugin.
  * debian/control:
    - Fix jack {build-,}dependencies order.
    - GUIs are now developed with Qt4, switch build-deps from Qt3 to Qt4.
    - Build-depends on libx11-dev,libsm-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Oct 2010 14:50:33 +0200

dssi (1.0.0-2~exp1) experimental; urgency=low

  * New maintainer (Closes: #536620).
  * Use "dh $@ --with foo" for compatibility with DH 8.
  * Add .gitignore file.
  * Add gbp config file.
  * First build with JACK2.

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 Aug 2010 21:00:55 +0200

dssi (1.0.0-1) unstable; urgency=low

  * QA upload.
  * Change maintainer to Debian QA Group.
  * New upstream release (Closes: #557710).
  * Refresh JACK build-dependency (Closes: #527408).
  * Switch to format 3.0 (quilt).
  * Switch to DH 7 + autotools_dev add-on.
  * debian/rules: Add -Wl,--as-needed to linking options.
  * Drop dpatch.
  * Drop patches, applied upstream.
  * debian/control:
    - Add missing ${misc:Depends}.
    - Drop ${shlibs:Depends} macro from dssi-dev Depends field, it's
      unnecessary.
    - Replace build-dependency on liblo0-dev -> liblo-dev.
    - Remove ALSA support for those architectures that don't
      provide it.
    - Add Homepage field.
  * Manpages are provided by upstream now.
  * Add watch file.
  * Bump Standards.
  * Update debian/copyright file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Aug 2010 11:15:09 +0200

dssi (0.9.1-3) unstable; urgency=low

  * Build fix for gcc-4.3 from Martin Michlmayr.  Closes: #417162.
  * Update policy version from 3.6.2 to 3.7.2.  No changes needed. 

 -- Mark Hymers <mhy@debian.org>  Sat,  7 Apr 2007 23:12:52 +0100

dssi (0.9.1-2) unstable; urgency=low

  * dssi-dev needs to Depend on ladspa-sdk and libjack0.100.0-dev.
    Closes: #352336.  Thanks to Michael Koch for noticing

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sat, 11 Feb 2006 12:41:43 +0000

dssi (0.9.1-1) unstable; urgency=low

  * Initial upload.  Closes: #280165.

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sat, 14 Jan 2006 15:52:55 +0000